Bug 865199 - Free space calculation in custom partitioning goes wonky when changing the size of a partition set to LVM
Free space calculation in custom partitioning goes wonky when changing the si...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
All All
unspecified Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 21:52 EDT by Adam Williamson
Modified: 2012-11-22 23:36 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-22 23:36:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
storage.log from the session where I messed around with this (462.26 KB, text/plain)
2012-10-10 21:56 EDT, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2012-10-10 21:52:26 EDT
To reproduce, do something like this:

Boot F18 Beta TC3 DVD
Go into custom partitioning
Clear out all existing partitions, so all space is free
Create a 500MB /boot partition
Create a / partition of any size, say you have 14GB free, create a / partition size 8GB. Now you're showing approx 6GB 'available space'
Change the / partition's Device Type to LVM, hit Apply Changes
Now, reduce the size of the partition - say, to 5GB - and hit 'Apply Changes' again

The available space calculation goes wonky. It doesn't go up to 9GB, it goes *down* to 3GB. You can keep playing around with the size of the partition, and the 'available space' calculation will keep changing, sometimes up, usually down, but it'll rarely or never actually be correct. I have a VM open right now and I'm twiddling with this, right now it's showing a 15GB disk with a /boot partition of 500MB and a root partition of 1GB, and 5.49GB of 'free space'.

(Oh, and it actually says Gb, not GB. This is completely wrong. Gb is gigabits. It should be GB or GiB, but not Gb.)
Comment 1 Adam Williamson 2012-10-10 21:56:44 EDT
Created attachment 625302 [details]
storage.log from the session where I messed around with this
Comment 3 Fedora Update System 2012-11-02 00:04:14 EDT
anaconda-18.23-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.23-1.fc18
Comment 4 Fedora Update System 2012-11-02 14:38:40 EDT
Package anaconda-18.23-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.23-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17509/anaconda-18.23-1.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-11-02 21:03:36 EDT
anaconda-18.24-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.24-1.fc18
Comment 6 Fedora Update System 2012-11-03 15:28:13 EDT
Package anaconda-18.24-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.24-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17543/anaconda-18.24-1.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-11-05 20:38:47 EST
anaconda-18.25-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.25-1.fc18
Comment 8 Fedora Update System 2012-11-06 21:10:44 EST
anaconda-18.26-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.26-1.fc18
Comment 9 Adam Williamson 2012-11-22 23:36:42 EST
This is definitely improved in current builds, I will file any other wonkiness I notice separately.

Note You need to log in before you can comment on or make changes to this bug.